// ----------------------------------------------------------------------------
// (c) 1,994 Juan Miguel Sosso Prieto - Todos los derechos reservados
// Autor...: Juan Miguel Sosso
// Proyecto: Contabilidad Personal
// Mdulo..: Principal
// Fecha...: Mon  16-05-94
// Hora....: 11:50:17

// Inicio: 04-Feb-1,993

#include "inkey.ch"
#include "sptools.ch"

// ----------------------------------------------------------------------------

proc Main()

   local aConfig := { { "nINGRESO", "N", 7, 0 }, ;
                      { "nGASTO",   "N", 7, 0 } }

   INIT SYSTEM COLOR "W+/N*" ;
               CLOCK ;
               CALCULATOR KEY K_F2 ;
               CALENDAR KEY K_F3 ;
               SAVE DOS SCREEN ;
               SCREEN BLANK ;
               MESSAGE "Contabilidad Personal" ;
               MINUTES 3 ;
               ADD TO CONFIG aConfig


   DEFINE DATABASE "apuntes.dat" ALIAS Apunte
      FIELD DFECHA     TYPE Date
      FIELD NGRUPO     TYPE Num  LEN  2
      FIELD CDESC      TYPE Char LEN 30
      FIELD NINGRESO   TYPE Num  LEN  7
      FIELD NGASTO     TYPE Num  LEN  7

      INDEX Apunte->dFECHA TAG Fecha
      INDEX Str( Apunte->nGRUPO ) + DToS( Apunte->dFECHA ) TAG Grupo
   END DATABASE

   DEFINE DATABASE "grupos.dat" ALIAS Grupo
      FIELD NGRUPO     TYPE Num  LEN  2
      FIELD CDESC      TYPE Char LEN 30
      FIELD NINGRESO   TYPE Num  LEN  7
      FIELD NGASTO     TYPE Num  LEN  7

      INDEX Grupo->nGRUPO TAG Grupo
   END DATABASE


   OPEN DATABASES
   ACTIVATE MENU oMnuMain()

   CLOSE SYSTEM

return

// ----------------------------------------------------------------------------

function oMnuMain()

   local oMenu

   MENU oMenu
      MENUITEM " &Mantenimiento "
      MENU
         MENUITEM " &Apuntes " ACTION ManApuntes() ;
                               MESSAGE "Mantenimiento de apuntes contables"
         MENUITEM " &Grupos "  ACTION Grupos() ;
                               MESSAGE "Mantenimiento de grupos contables"
         SEPARATOR
         MENUITEM " &Terminar  Alt-X " ACTION oMenu:lEnd := .t. ;
                                       SHORTCUT K_ALT_X ;
                                       MESSAGE "Termina la ejecucin del programa"
      ENDMENU
      MENUITEM " &Estadsticas "
      MENU
         MENUITEM " &Media "        ACTION MedPorMes() ;
                                    MESSAGE "Media de ingresos y gastos por mes"
         MENUITEM " &Por grupo "    MESSAGE "Estadstica por grupo" ;
                                    ACTION Estadisticas()
      ENDMENU
      MENUITEM " &Utilidades "
      MENU
         MENUITEM " Calculadora     F&2 " ACTION Calculator() ;
            MESSAGE "Calculadora"
         MENUITEM " Calendario      F&3 " ACTION Calendar() ;
            MESSAGE "Calendario con anotaciones"
         SEPARATOR
         MENUITEM " &Reorganizar " ACTION Reorganizar() ;
                                   MESSAGE "Reorganiza las bases de datos y los saldos"
         MENUITEM " &Configuracin "      MESSAGE "Configuracin del sistema"
         MENU
            MENUITEM " &General... "      ACTION MainConfig( oMenu ) ;
                                          MESSAGE "Configuracin general del sistema"
            MENUITEM " &Colores... "      ACTION ClrConfig( oMenu ) ;
                                          MESSAGE "Configuracin de los colores de la pantalla"
            MENUITEM " &Impresora... "    ACTION PrnConfig() ;
                                          MESSAGE "Configuracin de la impresora"
         ENDMENU
         SEPARATOR
         MENUITEM " &Acerca de... " ACTION AcercaDe() ;
            MESSAGE "Acerca de este programa"
      ENDMENU
   ENDMENU

return oMenu

// ----------------------------------------------------------------------------

static proc AcercaDe()

   nMsgBox( "Contabilidad Personal;" + ;
            cCopyRight() + " 1992-93-94 Juan Miguel Sosso;;" + ;
            "Este programa ha sido concedido bajo licencia a:;;" + ;
            SubStr( BliSerNum(), 5 ),,, "ACERCA DEL PROGRAMA" )

return

// ----------------------------------------------------------------------------
